# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::FrameSort Class Reference

Frame type Class.

`#include <common.h>`

List of all members.

## Public Member Functions

- FrameSort ()
- void SetIntra ()
- void SetInter ()
- void SetNonRef ()
- void SetRef ()
- bool IsInter () const
- bool IsIntra () const
- bool IsRef () const
- bool IsNonRef () const
- void SetIntraNonRef ()
- void SetIntraRef ()
- void SetInterNonRef ()
- void SetInterRef ()
- bool IsIntraNonRef () const
- bool IsIntraRef () const
- bool IsInterNonRef () const
- bool IsInterRef () const
- void Clear ()

## Static Public Member Functions

- static FrameSort IntraRefFrameSort ()
- static FrameSort InterRefFrameSort ()
- static FrameSort IntraNonRefFrameSort ()
- static FrameSort InterNonRefFrameSort ()

## Private Attributes

- unsigned char fs

## Constructor & Destructor Documentation

dirac::FrameSort::FrameSort | ( |  | ) | `[inline]`

References fs.

## Member Function Documentation

void dirac::FrameSort::SetIntra | ( |  | ) | `[inline]`

References fs.

Referenced by SetIntraNonRef(), and SetIntraRef().

void dirac::FrameSort::SetInter | ( |  | ) | `[inline]`

References fs.

Referenced by SetInterNonRef(), and SetInterRef().

void dirac::FrameSort::SetNonRef | ( |  | ) | `[inline]`

References fs.

Referenced by SetInterNonRef(), and SetIntraNonRef().

void dirac::FrameSort::SetRef | ( |  | ) | `[inline]`

References fs.

Referenced by SetInterRef(), and SetIntraRef().

bool dirac::FrameSort::IsInter | ( |  | ) | const`[inline]`

References fs.

Referenced by IsIntra().

bool dirac::FrameSort::IsIntra | ( |  | ) | const`[inline]`

References IsInter().

bool dirac::FrameSort::IsRef | ( |  | ) | const`[inline]`

References fs.

Referenced by IsNonRef().

bool dirac::FrameSort::IsNonRef | ( |  | ) | const`[inline]`

References IsRef().

void dirac::FrameSort::SetIntraNonRef | ( |  | ) | `[inline]`

References SetIntra(), and SetNonRef().

Referenced by IntraNonRefFrameSort().

void dirac::FrameSort::SetIntraRef | ( |  | ) | `[inline]`

References SetIntra(), and SetRef().

Referenced by IntraRefFrameSort().

void dirac::FrameSort::SetInterNonRef | ( |  | ) | `[inline]`

References SetInter(), and SetNonRef().

Referenced by InterNonRefFrameSort().

void dirac::FrameSort::SetInterRef | ( |  | ) | `[inline]`

References SetInter(), and SetRef().

Referenced by InterRefFrameSort().

bool dirac::FrameSort::IsIntraNonRef | ( |  | ) | const`[inline]`

References fs.

bool dirac::FrameSort::IsIntraRef | ( |  | ) | const`[inline]`

References fs.

bool dirac::FrameSort::IsInterNonRef | ( |  | ) | const`[inline]`

References fs.

bool dirac::FrameSort::IsInterRef | ( |  | ) | const`[inline]`

References fs.

void dirac::FrameSort::Clear | ( |  | ) | `[inline]`

References fs.

static FrameSort dirac::FrameSort::IntraRefFrameSort | ( |  | ) | `[inline, static]`

References fs, and SetIntraRef().

static FrameSort dirac::FrameSort::InterRefFrameSort | ( |  | ) | `[inline, static]`

References fs, and SetInterRef().

static FrameSort dirac::FrameSort::IntraNonRefFrameSort | ( |  | ) | `[inline, static]`

References fs, and SetIntraNonRef().

static FrameSort dirac::FrameSort::InterNonRefFrameSort | ( |  | ) | `[inline, static]`

References fs, and SetInterNonRef().

## Member Data Documentation

unsigned char dirac::FrameSort::fs `[private]`

Referenced by Clear(), FrameSort(), InterNonRefFrameSort(), InterRefFrameSort(), IntraNonRefFrameSort(), IntraRefFrameSort(), IsInter(), IsInterNonRef(), IsInterRef(), IsIntraNonRef(), IsIntraRef(), IsRef(), SetInter(), SetIntra(), SetNonRef(), and SetRef().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.